Package be.fgov.ehealth.rn.baselegaldata.v1

# Class JudgmentType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.JudgmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class JudgmentType extends Object implements Serializable

Java class for JudgmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="JudgmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="JudgmentDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType" minOccurs="0"/>
             <element name="JudgmentLocation" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JudgmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJudgmentDate()`
  Gets the value of the judgmentDate property.
  `LocationType`
  `getJudgmentLocation()`
  Gets the value of the judgmentLocation property.
  `void`
  `setJudgmentDate(String value)`
  Sets the value of the judgmentDate property.
  `void`
  `setJudgmentLocation(LocationType value)`
  Sets the value of the judgmentLocation property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JudgmentType

    public JudgmentType()

- ## Method Details

  - ### getJudgmentDate

    public String getJudgmentDate()
    Gets the value of the judgmentDate property.
    Returns:
      possible object is `String`

  - ### setJudgmentDate

    public void setJudgmentDate(String value)
    Sets the value of the judgmentDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getJudgmentLocation

    public LocationType getJudgmentLocation()
    Gets the value of the judgmentLocation property.
    Returns:
      possible object is `LocationType`

  - ### setJudgmentLocation

    public void setJudgmentLocation(LocationType value)
    Sets the value of the judgmentLocation property.
    Parameters:
      `value` - allowed object is `LocationType`